View Issue Details

IDProjectCategoryView StatusLast Update
0014972MediaMonkey 5Taggingpublic2020-08-08 02:52
Reporterjiri Assigned To 
PriorityurgentSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0014972: Added broader support for tag fields
DescriptionWe should try to support more fields than we currently do. Since other fields than we currently support usually aren't standardized (much), we'll start with showing them in MM5 UI as a bunch of key:value pairs.

More details to be specced during implementation, subject to decisions re. various formats tagging features.
TagsNo tags attached.
Fixed in build2121

Relationships

related to 0014365 closedmichal Support more Custom fields 
related to 0014963 newmichal Add support for new classic music tags introduced in iTunes 12.5 

Activities

michal

2018-08-18 14:37

developer   ~0050938

Fixed in build 2121. Included on "Custom" tab in properties dialog and in "Extended tags" tracklist column.

File tagging implemented for these formats (the rest do not support arbitrary string tags):
MP3, AIFF - user defined TXXX tags in ID3
MP4, M4A and related - reverse DNS atoms moov.udta.meta.ilst.----.name, where "mean" atom contains "com.apple.iTunes", ignored iTunes special tags "iTunSMPB", "iTunNORM", "iTunPGAP" and "iTunMOVI"
FLAC, OGG - standard vorbis comment tags
APE, MPC - APE string tags, ignored those with cover art (some tagging apps write cover data as string type tags)
WMA/WMV - standard string tags, ignored special system tags: "Signature_Name", "WMFSDKVersion", "WMFSDKNeeded", "MediaFoundationVersion" and also "Rating", which is marked as problematic by Microsoft.

peke

2018-09-14 02:50

developer   ~0051111

Verified 2121

peke

2020-08-08 02:52

developer   ~0059274

Verified 2262

External tags edit, add, update works without an issue on number of formats. No regression found.